## PkRepoDetail PkRepoDetail — RepoDetail object |

## Synopsis

    struct              PkRepoDetail;
    struct              PkRepoDetailClass;
    PkRepoDetail *      pk_repo_detail_new                  (void);

## Object Hierarchy

      GObject
       +----PkSource
             +----PkRepoDetail

## Properties

      "description"              gchar*                : Read / Write
      "enabled"                  gboolean              : Read / Write
      "repo-id"                  gchar*                : Read / Write

## Description

This GObject represents a repo_detail from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Details

### struct PkRepoDetail

    struct PkRepoDetail;

### struct PkRepoDetailClass

    struct PkRepoDetailClass {
    	PkSourceClass parent_class;
    	/* padding for future expansion */
    	void (*_pk_reserved1) (void);
    	void (*_pk_reserved2) (void);
    	void (*_pk_reserved3) (void);
    	void (*_pk_reserved4) (void);
    	void (*_pk_reserved5) (void);
    };

### pk_repo_detail_new ()

    PkRepoDetail *      pk_repo_detail_new                  (void);

Returns : | a new PkRepoDetail object.

Since 0.5.4

## Property Details

### The `"description"` property

      "description"              gchar*                : Read / Write

Default value: NULL

Since 0.5.4

### The `"enabled"` property

      "enabled"                  gboolean              : Read / Write

Default value: FALSE

Since 0.5.4

### The `"repo-id"` property

      "repo-id"                  gchar*                : Read / Write

Default value: NULL

Since 0.5.4